<?php

namespace App\Classes\Modules\PackingLists\Standards\Rules\Packages;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\PackingLists\DataTransferObjects\PackageObject;

class CanListPackages extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param PackageObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param PackageObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}
